Fedora13 -> F14 = pipa

 ( msandor | 2010. november 7., vasárnap - 22:15 )

hi,

hétvégén a három Fedorás gépemből kettőt sikeresen upgrade-eltem a most megjelent friss Fedora 14-re
a módszer a követező volt (dióhéjban):
- mentést készítettem a "/" partíciómról
- legyen elég hely a /boot partíción (kb 180 MB)
- legyen elég hely a root partíción (nálam kellett kb 4 GB)
- a /var/cache/yum ne symlink legyen [elsőre nekem az volt :-(]

a parancs a következő, rootként:
preupgrade-cli "Fedora 14 (Laughlin)" -y

ez a telepített rendszer méretétől és a letöltési sebességtől függően eltart 30-45 percig is, majd ha kész, akkor reboot
indulás után elvileg nem kérdez semmit, csak látod, hogy az összes frissítendő csomagból éppen hol tart, a jelszó védett notimon megkérdezte a jelszót az elején...
miután végzett magától újraindul

nálam minden remekül működik azóta is, kézzel csak a kedvenc boot témámat kellett beállítanom

ennyi, aki nem hiszi, járjon utána :-D

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Erről sem ártana egy cikksorozat, ne csak a *buntu userek oruljenek.

Nekem tönkrement a csomagkezelés a frissítés után.

Kozelebbrol?
--

Ki oda vagyik, hol szall a galamb, elszalasztja a kincset itt alant.

Azt írja, hogy 2.6-os Python kell valami csomagoknak, de 2.7-es van, és szegény kicsi yum ezt a dilemmát nem tudja megoldani, ezért inkább nem csinál semmit. Van egy rakás cosmag, ami frissülne, de mer szegény yum hozzányúlni.

De mindegy, úgyis rondán néznek ki a fontok Firefoxban (Ubuntuban is), úgy hogy már aláírtam, hogy megy az egész a /dev/null-ba!

Majd ha ismét a Fedora alatt leszek, akkor talán bekopizom a hibaüzenetet.

Már le is gyalultam.

mert belefutottal valami hibaba es nem tetszenek a fontok? haaat...

Dehát a fontokat kézzel beállítani akkorra szopás, hogy jobban megéri egy olyat farigcsálni, ahol ez jó, és csak az összes többi dologgal kell foglalkozni.

$ sudo yum upgrade
...
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
kernel-uname-r = 2.6.35.4-28.fc14.x86_64 is needed by (installed) kmod-wl-2.6.35.4-28.fc14.x86_64-5.60.48.36-2.fc14.x86_64
kernel-uname-r = 2.6.35.4-28.fc14.x86_64 is needed by (installed) kmod-wl-2.6.35.4-28.fc14.x86_64-5.60.48.36-2.fc14.x86_64
Please report this error in http://yum.baseurl.org/report
** Found 13 pre-existing rpmdb problem(s), 'yum check' output follows:
gnome-python2-gtkhtml2-2.25.3-24.fc13.x86_64 has missing requires of python(abi) = ('0', '2.6', None)
gnome-python2-gtkspell-2.25.3-24.fc13.x86_64 has missing requires of python(abi) = ('0', '2.6', None)
gnome-python2-libegg-2.25.3-24.fc13.x86_64 has missing requires of python(abi) = ('0', '2.6', None)
ibus-anthy-1.2.4-2.fc13.x86_64 has missing requires of libpython2.6.so.1.0()(64bit)
ibus-anthy-1.2.4-2.fc13.x86_64 has missing requires of python(abi) = ('0', '2.6', None)
kmod-wl-2.6.35.4-28.fc14.x86_64-5.60.48.36-2.fc14.x86_64 has missing requires of kernel-uname-r = ('0', '2.6.35.4', '28.fc14.x86_64')
policycoreutils-python-2.0.83-31.fc13.x86_64 has missing requires of libpython2.6.so.1.0()(64bit)
policycoreutils-python-2.0.83-31.fc13.x86_64 has missing requires of python(abi) = ('0', '2.6', None)
pysvn-1.7.2-1.fc13.x86_64 has missing requires of python(abi) = ('0', '2.6', None)
setools-libs-python-3.3.7-8.fc13.x86_64 has missing requires of libpython2.6.so.1.0()(64bit)
setools-libs-python-3.3.7-8.fc13.x86_64 has missing requires of python(abi) = ('0', '2.6', None)
subversion-1.6.13-1.fc13.x86_64 has missing requires of python(abi) = ('0', '2.6', None)
subversion-perl-1.6.13-1.fc13.x86_64 has missing requires of perl(:MODULE_COMPAT_5.10.1)

nem a "sudo yum upgrade" használatát javasoltam, hanem a preupgrade-et, mivel ez a hivatalosan is támogatott frissítési eljárás

ha már yumozol, akkor ezt próbáld ki: "yum update --skip-broken"

--
by Mikul@s

preupgrade-en már túl vagyok. Az lement, csak most azóta nem megy. --skip-broken nem segít.

ez fura, a preupgrade után nem volt mit yum update-elnem nálam
minden csomagod fedorás repóból van, vagy mást is használsz?

--
by Mikul@s

Van más is. RPMFusion, Adobe, Skype, Dropbox.

én a következő tárolókat használom:

# yum repolist
Loaded plugins: downloadonly, presto, refresh-packagekit
repo id repo name status
adobe-linux-i386 Adobe Systems Incorporated 18
fedora Fedora 14 - x86_64 22.161
kde kde 116
rpmfusion-free RPM Fusion for Fedora 14 - Free 0
rpmfusion-free-updates RPM Fusion for Fedora 14 - Free - Updates 496
rpmfusion-nonfree RPM Fusion for Fedora 14 - Nonfree 0
rpmfusion-nonfree-updates RPM Fusion for Fedora 14 - Nonfree - Updates 181
updates Fedora 14 - x86_64 - Updates 1.762
repolist: 24.734

--
by Mikul@s

mielőtt valaki félreértené, a post írása után készült el a 3. gép frissítése is, szóval nálam 3/3, azaz 100%-os lett a dolog

--
by Mikul@s

A szmájlinkes dolog hogy derült ki nálad?
Amúgy a 30-40 perc az durva. Kb milyen gépen volt ennyi idő?

mod: még valami! drpm-et használ a frissítéshez?

>>: sys-admin.hu :<<

a symlink úgy derült ki, hogy az egyik gépen kevés volt a hely a "/"-en, ezért a /var/cache/yum-ot áthelyeztem a /home alá, és onnan linkeltem be, a futó rendszeren ez működik is, de az installer az fstab alatt lévő összes partíciót becsatolja az /mnt/sysimage/ alá, ott pedig nem létezett /home/var/cache/yum mappa, amire mutatott :-)

a 30-40 perc exhas idő, nem mértem, de van nekem egy netbookom is, azon lehet, hogy tovább tartott, az asztalin pedig 1400 feletti csomagmennyiség van...

kevés csomagnál használt drpm-et

--
by Mikul@s

Lattal-e mar animalt gif kepeket? Nalam is megvolt az upgrade es meglepetes!!! :(
Nem, nem vigasztal, hogy nem vagyok egyedul...

https://bugzilla.redhat.com/show_bug.cgi?id=628331

láttam, nagy ívben tojok rá :-)
majd kijavítják, a napi tevékenységeimnél nem zavar, egyedül a hosszupuskasub.com-on találkoztam vele mostanában :-)

--
by Mikul@s

na ja, ha valaki nem er ra MMORPG-t tolni :) eleg idegesito, amikor az elso es a transzparens reteg valtakozik animacio helyett :(